<!DOCTYPE html>
<html lang="fr">
    <head>
        <title>
            {% block title_intro %}Croix-Rouge - {{ current_app|capfirst }}{% endblock %} /
            {% block title %}{% endblock %}
        </title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {% block extrameta %}{% endblock %}
        <link rel="icon" href="{% static 'favicon.ico' %}">

        <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
        <link rel="stylesheet" href="{% static 'css/main.css' %}">
        <link rel="stylesheet" href="{% static 'css/custom.css' %}">
        {% block extrastyle %}{% endblock %}

        <script src="{% static 'js/bootstrap.bundle.min.js' %}" defer></script>
        <script src="{% static 'js/autocomplete.js' %}" defer></script>
        <script src="{% static 'js/js.cookie.min.js' %}" defer></script>
        <script src="{% static 'js/main.js' %}" defer></script>
        <script src="{% static 'js/custom.js' %}" defer></script>
        {% block extra_javascript %}{% endblock %}
        {{ form.media }}
    </head>
    <body class="d-flex flex-column h-100 {{ test_instance|yesno:'test_instance,' }} {% block bodyclass %}{% endblock %}">
        <header>
            <figure class="mb-0">
                <a href="/">
                    <img id="logo-cr" src="{% static main_logo %}">
                </a>
            </figure>
            {% if test_instance %}<div id="header_test_text">Instance de test</div>{% endif %}
            {% if app_logo %}<img id="logo-app" src="{% static app_logo %}">{% endif %}
        </header>

        {% block user_bar %}
        {% include 'user_bar.html' %}
        {% endblock %}

        <div class="top-container container mb-3">
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
              <ol class="breadcrumb">
                {% block breadcrumb %}
                {% if user.is_authenticated %}<li class="breadcrumb-item"><a href="/">Accueil</a></li>{% endif %}
                {% endblock %}
              </ol>
            </nav>

            {% block messages %}
                {% if messages %}
                <ul class="list-unstyled messages">
                    {% for message in messages %}
                        <li class="alert {{ message.tags }} alert-dismissible" role="alert">
                            {{ message|linebreaksbr|capfirst }}
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </li>
                    {% endfor %}
                </ul>
                {% endif %}
            {% endblock messages %}

            <section class="mt-3 main-content">
                {% block content %}{% endblock %}
            </section>
        </div>

        <footer class="footer mt-auto p-4 border-top bg-dark text-light">
            {% block footer %}{% endblock %}
        </footer>

    {% include 'modal.html' %}
    </body>
</html>
